package java.security.cert;

import java.util.Collection;
import java.security.InvalidAlgorithmParameterException;

public abstract class CertStoreSpi
{
    public CertStoreSpi(CertStoreParameters certStoreParameters) throws InvalidAlgorithmParameterException {
    }
    
    public abstract Collection<? extends Certificate> engineGetCertificates(CertSelector p0) throws CertStoreException;
    
    public abstract Collection<? extends CRL> engineGetCRLs(CRLSelector p0) throws CertStoreException;
}
